GET api/departmentItemapi/departmentItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "d410a17d-17e5-4b82-afa2-20e105410963",
"selected_nameplate_id": "1081a174-0275-4b5a-baf1-e82d80e5224f",
"active": true,
"department_id": "f1a71378-33ba-45e3-9530-ace756646cc2",
"id": "3fbe8cb7-855e-4deb-8f28-c688c009d203",
"physical_item_id": "89c2b733-409b-4288-b41f-b56fd8856c7f",
"service_item_id": "750ef4e5-87d6-4ee3-90a2-e37ee81f6f9a",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>f1a71378-33ba-45e3-9530-ace756646cc2</department_id>
<id>3fbe8cb7-855e-4deb-8f28-c688c009d203</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>89c2b733-409b-4288-b41f-b56fd8856c7f</physical_item_id>
<quantity>1</quantity>
<service_item_id>750ef4e5-87d6-4ee3-90a2-e37ee81f6f9a</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>1081a174-0275-4b5a-baf1-e82d80e5224f</selected_nameplate_id>
<selected_sticker_id>d410a17d-17e5-4b82-afa2-20e105410963</selected_sticker_id>
</department_item>